Skip to content

Get Project

Fetch one project instance by ID. Requires the PROJECT_MANAGEMENT feature flag and ADMIN permissions.

Parameters

name * are required parametersdata typedescription
projectInstanceId*stringThe unique identifier of the project instance to fetch

Return Value

json
{
  "statusCode": 200,
  "data": {
    "id": "project-instance-id",
    "projectConfigId": "project-config-id",
    "name": "Site Renovation",
    "status": "active",
    "type": "project",
    "description": "Project description",
    "data": {},
    "createdAt": 1710000000000,
    "updatedAt": 1710000000000,
    "removedAt": null
  },
  "message": "Successfully retrieved the project"
}

Examples

bash
curl -X GET "https://app.wombat.software/api/{targetPath}/project/:projectInstanceId" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..."

ENDPOINTS

get/api/{targetPath}/project/:projectInstanceId